# file: log file name
# level: /trace/debug/info/warn/error/fatal, default: debug
# duration: rotation time with xx hours, example: 1/12/24 hours
# count: rotation count of log, default is 30 rotation
logger:
  file: "/var/log/restagent.log"
  level: debug
  duration: 24
  count: 2

pprof:
  enabled: true
  addr: :33060

# rest agent listen ipv4/v6 and port, support multiple routines
# ip: 0.0.0.0 or ::0, support IPv4/v6
# clientAuthType: 0:NoClientCert (default), 1:RequestClientCert, 2:RequireAnyClientCert,
#                 3:VerifyClientCertIfGiven, 4:RequireAndVerifyClientCerts
rest:
  - ipv4: 0.0.0.0
    ipv6:
    port: 33030

webServer:
  enabled: false

database:
  type: mysql
  user: root
  password: "1000omc@kp!"
  host: "192.168.9.58"
  port: 13306
  name: "omc_db"
  connParam: charset=utf8mb4&collation=utf8mb4_general_ci&parseTime=True&interpolateParams=True
  backup: d:/omc.git/be.ems/restagent/database

# Redis data cache
redis:
  dataSource:
    # OMC system db
    default:
      port: 16379 # Redis port
      host: "192.168.9.58" # Redis host
      password: "helloearth"
      db: 10 # Redis db_num
  # used to specify the default data source for multiple data resourece
  defaultDataSourceName: "default"

# sleep: time delay for after write buffer (millisecond)
# deadLine: timeout for io read and write (second)
mml:
  sleep: 200
  deadLine: 10
  sizeRow: 600
  sizeCol: 128
  bufferSize: 65535
  mmlHome: ./mmlhome

# Tracking configuration
trace:
  enabled: true
  host: "192.168.5.58" # Fill in the specific IP address
  port: 33033

# NE config
ne:
  user: omcuser
  etcdir: /usr/local/etc
  bindir: /usr/local/bin
  omcdir: /usr/local/omc
  scpdir: /tmp
  licensedir: /usr/local/etc/{neType}/license
  # backup etc list of IMS,no space
  etcListIMS: "{*.yaml,mmtel,vars.cfg}"
  etcListDefault: "{*.yaml,*.conf,*.cfg}"
  # true/false to overwrite config file when dpkg ne software
  dpkgOverwrite: false
  # dpkg timeout (second)
  dpkgTimeout: 180

# chk2ne: true/false, if put OmcNeConfig parameters to NE
omc:
  uriPrefix: "/omc/rest"
  neType: OMC
  neId: 001
  rmUID: 4400HX101
  neName: OMC
  province: GD
  vendor: ""
  dn: 4600
  chk2ne: false
  sn: "-"
  checksign: false
  rootDir: ./
  binDir: ./bin
  backup: C:/usr/local/omc/backup
  upload: C:/usr/local/omc/upload
  frontUpload: C:/usr/local/omc/upload
  frontTraceDir: C:/usr/local/omc/trace
  software: C:/usr/local/omc/software
  license: C:/usr/local/omc/license
  gtpUri: gtp:192.168.2.219:2152
  checkContentType: false
  testMode: false
  rbacMode: true
  runDir:
  cmdTimeout: 120

# Alarm module setting
# Forward interface:
# TLS Skip verify: true/false
# email/sms
# smProxy: sms(Short Message Service)/smsc(SMS Centre)
# dataCoding: 0:GSM7BIT, 1:ASCII, 2:BINARY8BIT1, 3:LATIN1,
#             4:BINARY8BIT2, 6:CYRILLIC, 7:HEBREW, 8:UCS2
alarm:
  alarmEmailForward:
    enable: true
    emailList:
    smtp: mail.smtp.com
    port: 25
    user: smtpext@smtp.com
    password: "1000smtp@omc!"
    tlsSkipVerify: true
  alarmSMSForward:
    enable: true
    mobileList: "1006,1008"
    smscAddr: "192.168.14.212:2775"
    systemID: "123456"
    password: "123456"
    systemType: "UTRAN"
    dataCoding: 0
    serviceNumber: "OMC"
  sms:
    apiURL: http://smsc.xxx.com/
    accessKeyID: xxxx
    accessKeySecret: xxxx
    signName: xxx SMSC
    templateCode: 1000
  smProxy: smsc

#User authorized information
# crypt: mysql/md5/bcrypt
# token: true/false to check accessToken
# expires for session, unit: second
# Support single/multiple session of user
#
auth:
  crypt: bcrypt
  token: true
  expires: 1800
  session: multiple
  publicKey: ./etc/certs/omc_pub.key
  privateKey: ./etc/certs/omc_pri.key

# Parameter for limit number
# rmuid_maxnum: the max number of rmUID, default: 50
# alarmid_maxnum: the max number of AlarmID, default: 50
# pmid_maxnum: the max number of pmID, default: 50
# subid_maxnum: the max number of subscription ID, default: 20
# uri_maxlen: the max length of uri, default: 8192
# rmuid_regexp: regexp pattern of rmUID
params:
  rmuidmaxnum: 50
  alarmidmaxnum: 50
  pmidmaxnum: 50
  subidmaxnum: 20
  urimaxlen: 2100000
  rmuidregexp: "[0-9]{4}[A-Z]{2}[A-Z]{2}[0-9A-Z]{1}[0-9A-Z]{3}[0-9A-Z]{1,16}"

# 静态文件配置, 相对项目根路径或填绝对路径
staticFile:
  # 默认资源，dir目录需要预先创建
  default:
    dir: "/usr/local/etc/omc/static"
  # 文件上传资源目录映射，与项目目录同级
  upload:
    dir: "/usr/local/etc/omc/upload"
